#
# spec file for package cool-retro-term
#
# Copyright (c) 2015, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cool-retro-term
Version:        1.0.0
Release:        3.3
Summary:        Terminal emulator which mimics old screens
License:        GPL-3.0+
Group:          System/X11/Terminals
Url:            https://github.com/Swordfish90/cool-retro-term
Source:         https://github.com/Swordfish90/cool-retro-term/archive/v%{version}.tar.gz
# From git by tag https://github.com/Swordfish90/qmltermwidget/archive/v0.1.0.tar.gz
Source1:        qmltermwidget-0.1.0.tar.gz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Widgets)
Requires:	libqt5-qtquickcontrols
Requires:	libqt5-qtgraphicaleffects
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
cool-retro-term is a terminal emulator which tries to mimic the look and feel
of the old cathode tube screens. It has been designed to be eye-candy,
customizable, and reasonably lightweight.

%prep
%setup -q
rm -rf qmltermwidget
tar -xf %{SOURCE1}
mv qmltermwidget-0.1.0 qmltermwidget

%build
mkdir build
cd build
qmake-qt5 QMAKE_CXXFLAGS+="%{optflags}" ..
make %{?_smp_mflags}

%install
cd build
make install INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}/%{_datadir}/applications/
install -Dpm 0644 ../cool-retro-term.desktop %{buildroot}/%{_datadir}/applications/cool-retro-term.desktop

%files
%defattr(-,root,root)
%doc gpl-2.0.txt gpl-3.0.txt README.md
%{_bindir}/cool-retro-term
%{_libdir}/qt5/qml/QMLTermWidget/
%{_datadir}/applications/cool-retro-term.desktop
%dir %{_datadir}/icons/hicolor/
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/*
%{_datadir}/icons/hicolor/*/*/cool-retro-term.png

%changelog
* Sun Dec 13 2015 mardnh@gmx.de
- initial package, version 1.0.0
